org.apache.xmlbeans.xml.stream

## Interface StartPrefixMapping

All Superinterfaces:
  XMLEvent

    public interface StartPrefixMapping
    extends XMLEvent

This event signals that a prefix mapping has begun scope

Since:
  Weblogic XML Input Stream 1.0
See Also:
  `EndPrefixMapping`, `ChangePrefixMapping`

### Field Summary

### Fields inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

`CHANGE_PREFIX_MAPPING, CHARACTER_DATA, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, ENTITY_REFERENCE, NULL_ELEMENT, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING, XML_EVENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getNamespaceUri()`
`String` `getPrefix()`

### Methods inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

`getLocation, getName, getSchemaType, getType, getTypeAsString, hasName, isChangePrefixMapping, isCharacterData, isEndDocument, isEndElement, isEndPrefixMapping, isEntityReference, isNull, isProcessingInstruction, isSpace, isStartDocument, isStartElement, isStartPrefixMapping`

### Method Detail

#### getNamespaceUri

    String getNamespaceUri()

#### getPrefix

    String getPrefix()